/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.proxy;

import java.io.Serializable;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.2 $
 */
public class Mixin implements MixinInterface, Serializable
{
   public String hello(String echo)
   {
      System.out.println("hello world");
      return echo;
   }

   public String intercepted(String echo)
   {
      System.out.println("hello world");
      return "error";
   }
}
